org.apache.felix.ipojo.manipulator.spi

## Class AnnotationLiteral<T extends Annotation>

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.AnnotationLiteral<T>

All Implemented Interfaces:
  Annotation

    public abstract class AnnotationLiteral<T extends Annotation>
    extends Object
    implements Annotation

Base annotation literal class to be extended when declaring stereotype bindings in a programmatic way. Usage example:

         public class InstantiateLiteral extends AnnotationLiteral<Instantiate> implements Instantiate {
             public String name() {
                 return "";
             }
         }

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`AnnotationLiteral()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<? extends Annotation>` `annotationType()`
`org.objectweb.asm.Type` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`equals, hashCode, toString`

### Constructor Detail

#### AnnotationLiteral

    public AnnotationLiteral()

### Method Detail

#### annotationType

    public Class<? extends Annotation> annotationType()

Specified by:
  `annotationType` in interface `Annotation`

#### getType

    public org.objectweb.asm.Type getType()